%global momorel 2

Summary: xcb-util
Name: xcb-util
Version: 0.3.5
Release: %{momorel}m%{?dist}
License: MIT/X
Group: Development/Libraries
URL: http://xcb.freedesktop.org/
Source0: http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: libxcb-devel >= 1.3
BuildPrereq: gperf


%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/xcb/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Jul 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-2m)
- fix libxcb version

* Sat Jul 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.3.5-1m)
- update to 0.3.5

* Wed May 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4
- License: MIT/X

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2-4m)
- rebuild against rpm-4.6

* Mon Oct 13 2008 YAMAZAKI Makoto <zaki@momonga-linux.org>
- (0.2-3m)
- added BuildPrereq gperf

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-2m)
- rebuild against gcc43

* Sun Mar 16 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2-1m)
- initial build
